%def_enable escreen
# Specify this to enable title/icon name reporting
%def_disable reporting

Name: Eterm
Version: 0.9.5
Release: alt1

Summary: An Enlightened terminal emulator for the X Window System
Summary(ru_RU.KOI8-R):    X Window   Enlightenment
License: BSD
Group: Terminals
Url: http://www.eterm.org/
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %url/download/%name-%version.tar.gz
Source1: %url/download/%name-bg-%version.tar.gz

Source2: %name-16.xpm
Source3: %name-32.xpm
Source4: %name-48.xpm

Patch: %name-0.9.2-alt-utempter.patch
Patch3: %name-0.9.1-alt-rpath_makefile.patch
Patch4: %name-0.9.3-alt-fonts.patch
Patch5: %name-0.9.2-alt-cp1251_fonts.patch
Patch7: %name-0.9.3-alt-disable_freetype1.patch
Patch8: %name-0.9.3-alt-buildfix.patch

%define imlib2_ver 1.1.1
%define libast_ver 0.7

Provides: xvt, %_x11bindir/xvt
PreReq: libutempter, alternatives >= 0.0.6

PreReq: imlib2 >= %imlib2_ver, libast >= %libast_ver
%if_enabled escreen
%define screen_ver 3.9.11
Requires: screen >= %screen_ver
%endif

BuildPreReq: imlib2-devel >= %imlib2_ver, libast-devel >= %libast_ver

# Automatically added by buildreq on Thu Jan 06 2005
BuildRequires: xorg-x11-devel freetype2-devel gcc-c++ groff-base imlib2-devel libast-devel libpcre-devel libstdc++-devel libutempter-devel man termutils-devel zlib-devel

%description
Eterm is a color vt102 terminal emulator with enhanced graphical
capabilities.  Eterm is intended to be a replacement for xterm for
Enlightenment window manager users, but it can also be used as a
replacement for xterm by users without Enlightenment.  Eterm supports
various themes and is very configurable, in keeping with the philosophy
of Enlightenment.  If you install Eterm, you'll also need to have the
Imlib2 library installed.

%define prefix %_x11dir
%define _terminfodir %_datadir/terminfo

%prep
%setup -q -n %name-%version -b 0 -a 1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch7 -p1
#%patch8 -p1

%build
%autoreconf
export ac_cv_prog_CTAGS=ctags
export ac_cv_path_GDB=/usr/bin/gdb
%if_with escreen
export ac_cv_prog_FOUND_SCREEN=/usr/bin/screen
%endif

export CPPFLAGS="-DHAVE_DEV_PTMX=1 -DPTY_GRP_NAME=tty"
%configure --prefix=%prefix \
	--exec_prefix=%prefix \
	--bindir=%_x11bindir \
	--libdir=%_x11libdir \
	--libexecdir=%_x11libdir \
	--includedir=%_x11includedir \
	--datadir=%_x11datadir \
	--mandir=%_x11mandir \
	--with-backspace=bs \
	--with-delete="\033[3~" \
	--enable-multi-charset \
	--with-pty-group=tty \
	%{subst_enable escreen} \
	--enable-mmx \
	--disable-static \
	%{?_enable_reporting:--enable-name-reporting-escapes}

%make_build 

%install
%make_install install DESTDIR=%buildroot

# menu and icons
%__cat <<__MENU__ >%name.menu
?package(%name): needs="x11" section="%group" \
title="%name" longtitle="Eterm Enlightened Terminal Emulator for X Window System" \
command="%prefix/bin/Eterm" icon=Eterm.xpm
__MENU__

%__install -pD -m644 %name.menu %buildroot%_menudir/%name

%__install -pD -m644 %SOURCE2 %buildroot%_miconsdir/%name.xpm
%__install -pD -m644 %SOURCE3 %buildroot%_iconsdir/%name.xpm
%__install -pD -m644 %SOURCE4 %buildroot%_liconsdir/%name.xpm

# Terminfo entries for %name
%_bindir/tic -o %buildroot%_terminfodir doc/Eterm.ti

# Create symlink to run Eterm as Escreen
%if_enabled escreen
%__ln_s %_x11bindir/Eterm %buildroot%_x11bindir/Escreen
%endif

%__cat <<__EOF__ >%name.alternatives
%_x11bindir/xvt	%_x11bindir/Eterm	30
__EOF__

%__install -pD -m644 %name.alternatives %buildroot%_altdir/%name

%post
%register_alternatives %name -- xvt
%update_menus
%post_ldconfig

%postun
%unregister_alternatives %name
%clean_menus
%postun_ldconfig

%files
%attr(2711,root,utempter) %_x11bindir/%name
%_x11bindir/Esetroot
%_x11bindir/Etbg
%_x11bindir/Etcolors
%_x11bindir/Ettable
%if_enabled escreen
%_x11bindir/Escreen
%endif
%_x11libdir/*.so
%_x11datadir/%name
%_x11mandir/man?/*
%_menudir/*
%config %_altdir/%name
%_iconsdir/%name.xpm
%_iconsdir/*/*/*/%name.xpm
%doc README ReleaseNotes ChangeLog doc/*.html doc/README.* bg/README.*

%changelog
* Mon Oct 20 2008 Yuri N. Sedunov <aris@altlinux.org> 0.9.5-alt1
- 0.9.5

* Tue Feb 06 2007 Nick S. Grechukh <gns@altlinux.ru> 0.9.3-alt2
- reanimated
- removed crappy buildreq on -static
- build fixed somewhere

* Thu Jan 06 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.9.3-alt1
- 0.9.3
- updated patches.
- removed excessive dependency on freetype1.
- updated for new alternatives scheme.

* Fri Nov 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.2-alt6.3
- fix build with hasher.

* Tue Nov 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.2-alt6.2
- requires latest libast release to build.
- updated buildreqs.

* Mon Apr 14 2003 Stanislav Ievlev <inger@altlinux.ru> 0.9.2-alt6.1
- moved to new alternatives scheme

* Thu Mar 27 2003 Dmitry V. Levin <ldv@altlinux.org> 0.9.2-alt6
- Disabled window title reporting (CAN-2003-0068).

* Fri Jan 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.2-alt5
- Fix for cp1251 locale. 

* Fri Jan 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.2-alt4
- More fixes for fonts.

* Tue Dec 24 2002 Dmitry V. Levin <ldv@altlinux.org> 0.9.2-alt3
- Rebuilt with libutempter-1.1.0.

* Thu Nov 07 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.9.2-alt2
- Optional screen support.
- README.Escreen, README.backgrounds added to %%doc.
- Big fonts problem fixed.

* Thu Oct 31 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.9.2-alt1
- new version.

* Wed Oct 23 2002 Dmitry V. Levin <ldv@altlinux.org> 0.9.1-alt2
- Precached ctags and gdb for %%configure.
- Updated buildrequires.

* Thu Oct 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.9.1-alt1.3
- Rebuild with gcc-3.2
- Removed ncurses from requires list.

* Tue Apr 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.9.1-alt1.2
- Added imlib2 >= 1.0.5-alt2 to requires list.

* Thu Apr 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.9.1-alt1
- new version
- alt-utempter patch adopted.
- (inger) removed zero-size terminfo entries (conflict with ncurses-extraterms)

* Sun Jan 06 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.8.10-ipl6mdk
- Specfile cleanup.
- Disabled build of static library.
- Dropped non-alt patches (including one for utmp/wtmp).
- Added utempter support.
- Changed default cutchars set.
- Added alternative for xvt (priority=30).
- Added some docs.
- Added xvt to provides list.

* Thu Oct 11 2001 AEN <aen@logic.ru> 0.8.10-ipl5mdk
- rebuilt with libpng.so.3

* Thu Jun 14 2001 AEN <aen@logic.ru> 0.8.10-ipl4mdk
- Group fixed

* Wed Jan 10 2001 AEN <aen@logic.ru>
- menu
- build for Sisyphus

* Tue Dec 30 1999 AEN <aen@logic.ru>
- new themes

* Mon Nov 08 1999 AEN <aen@logic.ru>
- version 0.8.10
- small patches
- build for RE

* Wed Dec 30 1998 mej <mej@mw.3com.com>
- Added spec file. Created by techn0ir <technoir@themes.org>
- Modified spec file for Mandrake <johnb@mandrakesoft.com>
